Bug 10097 - Hide framework selection when importing staged authority records
Summary: Hide framework selection when importing staged authority records
Status: CLOSED FIXED
Alias: None
Product: Koha
Classification: Unclassified
Component: Templates (show other bugs)
Version: master
Hardware: All All
: P5 - low minor (vote)
Target Milestone: ---
Assignee: David Cook
QA Contact:
URL:
Whiteboard:
Keywords:
Depends on:
Blocks:
 
Reported: 2013-04-23 03:00 UTC by David Cook
Modified: 2015-04-01 11:33 UTC (History)
1 user (show)

See Also:
Change sponsored?: ---
Patch complexity: ---
Bot Control: ---
When did the bot last check this:
Who signed the patch off:
Text to go in the release notes:


Attachments
Bug 10097 - If importing authority records, don't show text relating to bibliographic records (2.95 KB, patch)
2013-04-23 03:11 UTC, David Cook
Details | Diff | Splinter Review
Bug 10097 - Hide framework selection when importing staged authority records (3.00 KB, patch)
2013-04-26 15:55 UTC, Owen Leonard
Details | Diff | Splinter Review
[PASSED QA] Bug 10097 - Hide framework selection when importing staged authority records (3.07 KB, patch)
2013-04-29 05:50 UTC, Katrin Fischer
Details | Diff | Splinter Review

Note You need to log in before you can comment on or make changes to this bug.
Description David Cook 2013-04-23 03:00:21 UTC
Currently, when importing authority records using the "Manage staged MARC records" tool, it will show the text "Add new bibliographic records into this framework:" followed by a drop-down menu of possible frameworks.

Since these are bibliographic frameworks and we're importing authority records which do not use them, we have no need to show this information.

I'm proposing just a little patch to display this info only for bibliographic records. From my tests, everything seems to work fine without this text and the drop-down, although I've only uploaded one MARC21 authority record at a time.
Comment 1 David Cook 2013-04-23 03:11:00 UTC Comment hidden (obsolete)
Comment 2 Owen Leonard 2013-04-26 15:55:04 UTC Comment hidden (obsolete)
Comment 3 Katrin Fischer 2013-04-29 05:50:44 UTC
Created attachment 17781 [details] [review]
[PASSED QA] Bug 10097 - Hide framework selection when importing staged authority records

Currently, when importing authority records using the "Manage staged
MARC records" tool, it will show the text "Add new bibliographic records
into this framework:" followed by a drop-down menu of possible frameworks.

Since these are bibliographic frameworks and we're importing authority
records which do not use them, we have no need to show this information.

I'm proposing just a little patch to display this info only for
bibliographic records. From my tests, everything seems to work fine
without this text and the drop-down, although I've only uploaded one
MARC21 authority record at a time.

--

Test Plan:

Before applying patch...

1) Find yourself an authority record. I recommend downloading your
favourite author from: http://authorities.loc.gov/
2) Stage MARC for import. Choose "Authority" as your record type.
3) Go to "Manage staged records"
4) Underneath the button "Import this batch into the catalog", you
should see the text "Add new bibliographic records into this framework:"
followed by a drop-down of the available frameworks.

Optionally) You can also try this for bibliographic records. You'll find
the same.

After applying the patch...

5) Repeat steps 2 and 3.
6) Underneath the button "Import this batch into the catalog", you
should just see a table listing your MARC record(s).
7) Stage MARC for import. Choose "Bibliographic" as your record type.
8) Go to "Manage staged records".
9) You should find step 4 still to be true (i.e. the "Add new
bibliographic..." text should still be there).

Signed-off-by: Owen Leonard <oleonard@myacpl.org>
Signed-off-by: Katrin Fischer <Katrin.Fischer.83@web.de>
Small template change, passes all tests.
Comment 4 Jared Camins-Esakov 2013-05-01 11:35:02 UTC
This patch has been pushed to master and 3.12.x.
Comment 5 Chris Cormack 2013-05-09 07:08:18 UTC
Pushed to 3.10.x will be in 3.10.6